Skip to main content
GET
/
v1
/
merchants
List merchants
curl --request GET \
  --url https://api.saturnshift.io/v1/merchants \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "merchant",
      "id": 116,
      "name": "Green Leaf Coffee",
      "legal_name": "<string>",
      "email": "owner@greenleaf.example",
      "status": "ACTIVE",
      "onboarding_status": "ACTIVE",
      "crypto_enabled": true,
      "onboarding_complete": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

Authorizations

Authorization
string
header
required

OAuth2 client credentials. Request a token from /oauth/token and send it as Authorization: Bearer <token>.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
starting_after
integer

Response

A list of merchants

object
string
Example:

"list"

data
object[]
has_more
boolean
Example:

false

next_cursor
integer | null
Example:

null